# Uses of Interface
org.springframework.web.servlet.mvc.condition.RequestCondition

Packages that use RequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of RequestCondition in org.springframework.web.servlet.mvc.condition

Classes in org.springframework.web.servlet.mvc.condition that implement RequestCondition
Modifier and Type
Class
Description
`class`
`AbstractRequestCondition<T extends AbstractRequestCondition<T>>`
A base class for `RequestCondition` types providing implementations of `AbstractRequestCondition.equals(Object)`, `AbstractRequestCondition.hashCode()`, and `AbstractRequestCondition.toString()`.
`class`
`CompositeRequestCondition`
Implements the `RequestCondition` contract by delegating to multiple `RequestCondition` types and using a logical conjunction (`' && '`) to ensure all conditions match a given request.
`final class`
`ConsumesRequestCondition`
A logical disjunction (' || ') request condition to match a request's 'Content-Type' header to a list of media type expressions.
`final class`
`HeadersRequestCondition`
A logical conjunction (`' && '`) request condition that matches a request against a set of header expressions with syntax defined in `RequestMapping.headers()`.
`final class`
`ParamsRequestCondition`
A logical conjunction (`' && '`) request condition that matches a request against a set parameter expressions with syntax defined in `RequestMapping.params()`.
`final class`
`PathPatternsRequestCondition`
A logical disjunction (' || ') request condition that matches a request against a set of URL path patterns.
`class`
`PatternsRequestCondition`
A logical disjunction (' || ') request condition that matches a request against a set of URL path patterns.
`final class`
`ProducesRequestCondition`
A logical disjunction (' || ') request condition to match a request's 'Accept' header to a list of media type expressions.
`final class`
`RequestConditionHolder`
A holder for a `RequestCondition` useful when the type of the request condition is not known ahead of time, for example, custom condition.
`final class`
`RequestMethodsRequestCondition`
A logical disjunction (' || ') request condition that matches a request against a set of `RequestMethods`.
Methods in org.springframework.web.servlet.mvc.condition that return RequestCondition
Modifier and Type
Method
Description
`RequestCondition<?>`
RequestConditionHolder.`getCondition()`
Return the held request condition, or `null` if not holding one.
Methods in org.springframework.web.servlet.mvc.condition that return types with arguments of type RequestCondition
Modifier and Type
Method
Description
`List<RequestCondition<?>>`
CompositeRequestCondition.`getConditions()`
Return the underlying conditions (possibly empty but never `null`).
Constructors in org.springframework.web.servlet.mvc.condition with parameters of type RequestCondition
Modifier
Constructor
Description
``
`CompositeRequestCondition(RequestCondition<?>... requestConditions)`
Create an instance with 0 or more `RequestCondition` types.
``
`RequestConditionHolder(RequestCondition<?> requestCondition)`
Create a new holder to wrap the given request condition.

## Uses of RequestCondition in org.springframework.web.servlet.mvc.method

Classes in org.springframework.web.servlet.mvc.method that implement RequestCondition
Modifier and Type
Class
Description
`final class`
`RequestMappingInfo`
Request mapping information.
Methods in org.springframework.web.servlet.mvc.method that return RequestCondition
Modifier and Type
Method
Description
`<T> RequestCondition<T>`
RequestMappingInfo.`getActivePatternsCondition()`
Returns either `RequestMappingInfo.getPathPatternsCondition()` or `RequestMappingInfo.getPatternsCondition()` depending on which is not null.
`RequestCondition<?>`
RequestMappingInfo.`getCustomCondition()`
Return the "custom" condition of this `RequestMappingInfo`, or `null`.
Methods in org.springframework.web.servlet.mvc.method with parameters of type RequestCondition
Modifier and Type
Method
Description
`RequestMappingInfo`
RequestMappingInfo.`addCustomCondition(RequestCondition<?> customCondition)`
Create a new instance based on the current one, also adding the given custom condition.
`RequestMappingInfo.Builder`
RequestMappingInfo.Builder.`customCondition(RequestCondition<?> condition)`
Set a custom condition to use.
Constructors in org.springframework.web.servlet.mvc.method with parameters of type RequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(RequestMappingInfo info, RequestCondition<?> customRequestCondition)`
Deprecated.
since 5.3 in favor of using `RequestMappingInfo.addCustomCondition(RequestCondition)`.

## Uses of RequestCondition in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return RequestCondition
Modifier and Type
Method
Description
`protected RequestCondition<?>`
RequestMappingHandlerMapping.`getCustomMethodCondition(Method method)`
Provide a custom method-level request condition.
`protected RequestCondition<?>`
RequestMappingHandlerMapping.`getCustomTypeCondition(Class<?> handlerType)`
Provide a custom type-level request condition.
Methods in org.springframework.web.servlet.mvc.method.annotation with parameters of type RequestCondition
Modifier and Type
Method
Description
`protected RequestMappingInfo`
RequestMappingHandlerMapping.`createRequestMappingInfo(org.springframework.web.bind.annotation.RequestMapping requestMapping, RequestCondition<?> customCondition)`
Create a `RequestMappingInfo` from the supplied `@RequestMapping` annotation, meta-annotation, or synthesized result of merging annotation attributes within an annotation hierarchy.
`protected RequestMappingInfo`
RequestMappingHandlerMapping.`createRequestMappingInfo(org.springframework.web.service.annotation.HttpExchange httpExchange, RequestCondition<?> customCondition)`
Create a `RequestMappingInfo` from the supplied `@HttpExchange` annotation, meta-annotation, or synthesized result of merging annotation attributes within an annotation hierarchy.